Package io.dapr.v1

# Interface DaprProtos.DecryptRequestOptionsOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.DecryptRequestOptions`, `DaprProtos.DecryptRequestOptions.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.DecryptRequestOptionsOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getComponentName()`
Name of the component
`com.google.protobuf.ByteString`
`getComponentNameBytes()`
Name of the component
`String`
`getKeyName()`
Name (or name/version) of the key to decrypt the message.
`com.google.protobuf.ByteString`
`getKeyNameBytes()`
Name (or name/version) of the key to decrypt the message.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getComponentName

String getComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The componentName.

### getComponentNameBytes

com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  The bytes for componentName.

### getKeyName

String getKeyName()

     Name (or name/version) of the key to decrypt the message.
     Overrides any key reference included in the message if present.
     This is required if the message doesn't include a key reference (i.e. was created with omit_decryption_key_name set to true).

`string key_name = 12 [json_name = "keyName"];`

Returns:
  The keyName.

### getKeyNameBytes

com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key to decrypt the message.
     Overrides any key reference included in the message if present.
     This is required if the message doesn't include a key reference (i.e. was created with omit_decryption_key_name set to true).

`string key_name = 12 [json_name = "keyName"];`

Returns:
  The bytes for keyName.